import type { ESLint } from "eslint";
import * as jsoncParser from "jsonc-eslint-parser";
import * as yamlParser from "yaml-eslint-parser";
import * as tomlParser from "toml-eslint-parser";
declare const _default: ({
    plugins: {
        readonly "json-schema-validator": ESLint.Plugin;
    };
    files?: undefined;
    languageOptions?: undefined;
    rules?: undefined;
} | {
    files: string[];
    languageOptions: {
        parser: typeof jsoncParser;
    };
    rules: {
        strict: string;
        "no-unused-expressions": string;
        "no-unused-vars": string;
        "no-irregular-whitespace"?: undefined;
        "spaced-comment"?: undefined;
    };
    plugins?: undefined;
} | {
    files: string[];
    languageOptions: {
        parser: typeof yamlParser;
    };
    rules: {
        "no-irregular-whitespace": string;
        "no-unused-vars": string;
        "spaced-comment": string;
        strict?: undefined;
        "no-unused-expressions"?: undefined;
    };
    plugins?: undefined;
} | {
    files: string[];
    languageOptions: {
        parser: typeof tomlParser;
    };
    rules: {
        "no-irregular-whitespace": string;
        "spaced-comment": string;
        strict?: undefined;
        "no-unused-expressions"?: undefined;
        "no-unused-vars"?: undefined;
    };
    plugins?: undefined;
})[];
export default _default;
