import type { RuleModule } from "./types";
import * as meta from "./meta";
declare const _default: {
    meta: typeof meta;
    configs: {
        base: {
            plugins: string[];
            overrides: {
                files: string[];
                parser: string;
            }[];
        };
        recommended: {
            extends: string[];
            rules: {
                "json-schema-validator/no-invalid": string;
            };
        };
        "flat/base": ({
            plugins: {
                readonly "json-schema-validator": import("eslint").ESLint.Plugin;
            };
            files?: undefined;
            languageOptions?: undefined;
            rules?: undefined;
        } | {
            files: string[];
            languageOptions: {
                parser: typeof import("jsonc-eslint-parser");
            };
            rules: {
                strict: string;
                "no-unused-expressions": string;
                "no-unused-vars": string;
                "no-irregular-whitespace"?: undefined;
                "spaced-comment"?: undefined;
            };
            plugins?: undefined;
        } | {
            files: string[];
            languageOptions: {
                parser: typeof import("yaml-eslint-parser");
            };
            rules: {
                "no-irregular-whitespace": string;
                "no-unused-vars": string;
                "spaced-comment": string;
                strict?: undefined;
                "no-unused-expressions"?: undefined;
            };
            plugins?: undefined;
        } | {
            files: string[];
            languageOptions: {
                parser: typeof import("toml-eslint-parser");
            };
            rules: {
                "no-irregular-whitespace": string;
                "spaced-comment": string;
                strict?: undefined;
                "no-unused-expressions"?: undefined;
                "no-unused-vars"?: undefined;
            };
            plugins?: undefined;
        })[];
        "flat/recommended": ({
            plugins: {
                readonly "json-schema-validator": import("eslint").ESLint.Plugin;
            };
            files?: undefined;
            languageOptions?: undefined;
            rules?: undefined;
        } | {
            files: string[];
            languageOptions: {
                parser: typeof import("jsonc-eslint-parser");
            };
            rules: {
                strict: string;
                "no-unused-expressions": string;
                "no-unused-vars": string;
                "no-irregular-whitespace"?: undefined;
                "spaced-comment"?: undefined;
            };
            plugins?: undefined;
        } | {
            files: string[];
            languageOptions: {
                parser: typeof import("yaml-eslint-parser");
            };
            rules: {
                "no-irregular-whitespace": string;
                "no-unused-vars": string;
                "spaced-comment": string;
                strict?: undefined;
                "no-unused-expressions"?: undefined;
            };
            plugins?: undefined;
        } | {
            files: string[];
            languageOptions: {
                parser: typeof import("toml-eslint-parser");
            };
            rules: {
                "no-irregular-whitespace": string;
                "spaced-comment": string;
                strict?: undefined;
                "no-unused-expressions"?: undefined;
                "no-unused-vars"?: undefined;
            };
            plugins?: undefined;
        } | {
            rules: {
                "json-schema-validator/no-invalid": string;
            };
        })[];
    };
    rules: {
        [key: string]: RuleModule;
    };
};
export = _default;
